import vl from 'vega-lite-api';

const points = vl
	.markCircle({size: 500, opacity: 5})
	.project(
    vl.projection('albersUsa')
  )
  .encode(
    vl.longitude().fieldQ('LONGITUDE'),
    vl.latitude().fieldQ('LATITUDE'),
 //   vl.color().fieldQ('NetPrice'),
    vl.size().fieldQ('Number of Members'),
    vl.tooltip().fieldN('Institution Name'),
  );

const map = vl.markGeoshape({fill: '87CEFA', stroke: '#fff', strokeWidth: 1})
    .data(vl.topojson('https://raw.githubusercontent.com/vega/vega/master/docs/data/us-10m.json').feature('states'));

export const viz = vl
	.layer(map, points);